import { fileURLToPath, URL } from "node:url";
import react from "@vitejs/plugin-react";
import { defineConfig } from "vite";

export default defineConfig({
  plugins: [react()],
  resolve: {
    alias: {
      "@": fileURLToPath(new URL("./src", import.meta.url)),
      "./files": fileURLToPath(
        new URL(
          "./node_modules/@fontsource-variable/noto-sans/files",
          import.meta.url
        )
      ),
    },
  },
});
